package com.itsoulos.myfirefox;

import androidx.appcompat.app.AppCompatActivity;

import android.app.Activity;
import android.os.Bundle;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {
    LinearLayout mainLayout=null;
    ListView list=null;
    ArrayAdapter<String> url=null;
    WebView wview=null;
    LinearLayout buttonLayout=null;
    Button back=null,forward=null,reload=null;

    public void makeChoices()
    {
        ArrayList<String> names=new ArrayList<String>();
        names.add("http://www.in.gr");
        names.add("http://www.teiep.gr");
        names.add("http:/www.linux.org");
        url=new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1,names);
    }

    public void makeList()
    {
        makeChoices();
        list=new ListView(this);
        list.setAdapter(url);
        mainLayout.addView(list);
        list.setOnItemClickListener(new OnItemClickListener()
        {

            @Override
            public void onItemClick(AdapterView<?> parent, View view,
                                    int position, long id) {
                wview.loadUrl(url.getItem(position));
            }
        });
    }

    public void makeWeb()
    {
        wview=new WebView(this);
        wview.getSettings().setJavaScriptEnabled(true); // enable javascript

        final Activity activity = this;

        wview.setWebViewClient(new WebViewClient() {
            public void onReceivedError(WebView view, int errorCode, String description, String failingUrl) {

                //Allagi oste na emfanizei dialogo
                Toast.makeText(activity, description, Toast.LENGTH_SHORT).show();
            }
        });
        mainLayout.addView(wview);
        LinearLayout.LayoutParams wparams=(LinearLayout.LayoutParams)wview.getLayoutParams();
        wparams.height=500;
        wview.setLayoutParams(wparams);
    }

    public void makeButtons()
    {
        buttonLayout=new LinearLayout(this);
        mainLayout.addView(buttonLayout);
        back=new Button(this);
        back.setText("BACK");
        reload=new Button(this);
        reload.setText("RELOAD");
        forward=new Button(this);
        forward.setText("FORWARD");
        buttonLayout.addView(back);
        buttonLayout.addView(reload);
        buttonLayout.addView(forward);
        back.setOnClickListener(new OnClickListener()
        {

            @Override
            public void onClick(View v) {
                wview.goBack();
            }

        });
        reload.setOnClickListener(new OnClickListener()
        {

            @Override
            public void onClick(View v) {
                wview.reload();
            }

        });
        forward.setOnClickListener(new OnClickListener()
        {

            @Override
            public void onClick(View v) {
                wview.goForward();
            }

        });
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mainLayout=new LinearLayout(this);
        setContentView(mainLayout);
        mainLayout.setOrientation(LinearLayout.VERTICAL);
        makeList();
        makeWeb();
        makeButtons();
    }

}
